%define upstream_name    Padre-Plugin-Catalyst
%define upstream_version 0.13

%global __requires_exclude perl\\(Padre::Wx::Dialog\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Catalyst helper interface for Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Devel) >= 1.0.0
BuildRequires: perl(Catalyst::Runtime) >= 5.700.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Which) >= 0.50.0
BuildRequires: perl(Locale::Msgfmt) >= 0.150.0
BuildRequires: perl(Padre) >= 0.570.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Once you enable this Plugin under Padre, you'll get a brand new menu with
the following options:

'New Catalyst Application'
    This options lets you create a new Catalyst application.

'Create new...'
    The Catalyst helper lets you automatically create stub classes for your
    application's MVC components. With this menu option not only can you
    select your component's name but also its type. For instance, if you
    select "create new view" and have the the Catalyst::Helper::View::TT
    manpage module installed on your system, the "TT" type will be
    available for you).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.130.0-13.mga10
+ Revision: 2213900
- Mageia 10 Mass Rebuild

* Sat Apr 02 2022 umeabot <umeabot> 0.130.0-12.mga9
+ Revision: 1840275
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.130.0-11.mga8
+ Revision: 1523799
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 0.130.0-10.mga7
+ Revision: 1374793
- fix summary

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-9.mga7
+ Revision: 1270236
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-8.mga6
+ Revision: 1031610
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.130.0-7.mga6
+ Revision: 951147
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 sander85 <sander85> 0.130.0-6.mga5
+ Revision: 802392
- Add __requires_exclude

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 749318
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 513941
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 371401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 61623
- update to 0.13

* Wed Jan 26 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 41276
- mageia rebuild
- imported package perl-Padre-Plugin-Catalyst

